import { BindingKey } from '@loopback/core';
import { VerifyFunction } from 'loopback4-authentication';
import { PreSignupFn, UserSignupFn } from '../types';
import { GooglePostVerifyFn, GooglePreVerifyFn, GoogleSignUpFn, InstagramPostVerifyFn, InstagramPreVerifyFn, InstagramSignUpFn, ApplePostVerifyFn, ApplePreVerifyFn, AppleSignUpFn, FacebookSignUpFn, FacebookPreVerifyFn, FacebookPostVerifyFn, KeyCloakPostVerifyFn, KeyCloakPreVerifyFn, KeyCloakSignUpFn, CodeReaderFn, CodeWriterFn } from './types';
export declare namespace SignUpBindings {
    const GOOGLE_SIGN_UP_PROVIDER: BindingKey<GoogleSignUpFn>;
    const INSTAGRAM_SIGN_UP_PROVIDER: BindingKey<InstagramSignUpFn>;
    const APPLE_SIGN_UP_PROVIDER: BindingKey<AppleSignUpFn>;
    const FACEBOOK_SIGN_UP_PROVIDER: BindingKey<FacebookSignUpFn>;
    const KEYCLOAK_SIGN_UP_PROVIDER: BindingKey<KeyCloakSignUpFn>;
    const PRE_LOCAL_SIGNUP_PROVIDER: BindingKey<PreSignupFn<any, any>>;
    const LOCAL_SIGNUP_PROVIDER: BindingKey<UserSignupFn<any, any>>;
}
export declare namespace VerifyBindings {
    const GOOGLE_PRE_VERIFY_PROVIDER: BindingKey<GooglePreVerifyFn>;
    const GOOGLE_POST_VERIFY_PROVIDER: BindingKey<GooglePostVerifyFn>;
    const INSTAGRAM_POST_VERIFY_PROVIDER: BindingKey<InstagramPostVerifyFn>;
    const INSTAGRAM_PRE_VERIFY_PROVIDER: BindingKey<InstagramPreVerifyFn>;
    const APPLE_PRE_VERIFY_PROVIDER: BindingKey<ApplePreVerifyFn>;
    const APPLE_POST_VERIFY_PROVIDER: BindingKey<ApplePostVerifyFn>;
    const FACEBOOK_POST_VERIFY_PROVIDER: BindingKey<FacebookPostVerifyFn>;
    const FACEBOOK_PRE_VERIFY_PROVIDER: BindingKey<FacebookPreVerifyFn>;
    const KEYCLOAK_PRE_VERIFY_PROVIDER: BindingKey<KeyCloakPreVerifyFn>;
    const KEYCLOAK_POST_VERIFY_PROVIDER: BindingKey<KeyCloakPostVerifyFn>;
    const BEARER_SIGNUP_VERIFY_PROVIDER: BindingKey<VerifyFunction.GenericAuthFn<any>>;
}
export declare namespace AuthCodeBindings {
    const CODEWRITER_PROVIDER: BindingKey<CodeWriterFn>;
    const CODEREADER_PROVIDER: BindingKey<CodeReaderFn>;
}
